package com.gic.haoban.manage.api.dto;

import java.io.Serializable;

/**
 * 
 * 企业微信授权信息
 *
 */
public class QywxCorpInfoDTO implements Serializable {

	private static final long serialVersionUID = 1L;

	private Integer errcode;

	private String errmsg;

	/* 授权方企业微信id */
	private String corpid;

	/* 授权方企业微信名称 */
	private String corpName;

	/* 授权方企业微信类型，认证号：verified, 注册号：unverified */
	private String corpType;

	/* 授权方企业微信方形头像 */
	private String corpSquareLogoUrl;

	/* 授权管理员的userid，可能为空（内部管理员一定有，不可更改） */
	private String userid;

	/* 授权管理员的name，可能为空（内部管理员一定有，不可更改） */
	private String name;

	/* 授权管理员的头像url */
	private String avatar;

	/* 授权方应用id */
	private String agentid;

	/* 授权方应用名字 */
	private String agentName;

	/* 授权方应用方形头像 */
	private String agentSquareLogoUrl;

	/* 授权方应用圆形头像 */
	private String roundLogoUrl;

	/* 应用id */
	private String suiteId;

	public Integer getErrcode() {
		return errcode;
	}

	public void setErrcode(Integer errcode) {
		this.errcode = errcode;
	}

	public String getErrmsg() {
		return errmsg;
	}

	public void setErrmsg(String errmsg) {
		this.errmsg = errmsg;
	}

	public String getCorpid() {
		return corpid;
	}

	public void setCorpid(String corpid) {
		this.corpid = corpid;
	}

	public String getCorpName() {
		return corpName;
	}

	public void setCorpName(String corpName) {
		this.corpName = corpName;
	}

	public String getCorpType() {
		return corpType;
	}

	public void setCorpType(String corpType) {
		this.corpType = corpType;
	}

	public String getCorpSquareLogoUrl() {
		return corpSquareLogoUrl;
	}

	public void setCorpSquareLogoUrl(String corpSquareLogoUrl) {
		this.corpSquareLogoUrl = corpSquareLogoUrl;
	}

	public String getUserid() {
		return userid;
	}

	public void setUserid(String userid) {
		this.userid = userid;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getAvatar() {
		return avatar;
	}

	public void setAvatar(String avatar) {
		this.avatar = avatar;
	}

	public String getAgentid() {
		return agentid;
	}

	public void setAgentid(String agentid) {
		this.agentid = agentid;
	}

	public String getAgentName() {
		return agentName;
	}

	public void setAgentName(String agentName) {
		this.agentName = agentName;
	}

	public String getAgentSquareLogoUrl() {
		return agentSquareLogoUrl;
	}

	public void setAgentSquareLogoUrl(String agentSquareLogoUrl) {
		this.agentSquareLogoUrl = agentSquareLogoUrl;
	}

	public String getRoundLogoUrl() {
		return roundLogoUrl;
	}

	public void setRoundLogoUrl(String roundLogoUrl) {
		this.roundLogoUrl = roundLogoUrl;
	}

	public String getSuiteId() {
		return suiteId;
	}

	public void setSuiteId(String suiteId) {
		this.suiteId = suiteId;
	}

}
